<!DOCTYPE html>
<html>
  <head>
    <title>E-Commerce Paiement</title>
    <link rel="stylesheet" href="/stylesheets/style.css" />
    <script>
      function Accept() {
        window.location =
          "/monetique-paiement/payments/api?" +
          "paymentId=<%=payment.id%>&status=accepted&application=e-commerce";
      }
      function Refuse() {
        window.location =
          "/monetique-paiement/payments/api?" +
          "paymentId=<%=payment.id%>&status=declined&application=e-commerce";
      }
    </script>
  </head>
  <body>
    <p>Paiements E-Commerce</p>
    <button onclick="Accept()">Accepter</button>
    <button onclick="Refuse()">Refuser</button>
    <hr />
    <table>
      <thead>
        <tr>
          <td>Id</td>
          <td>Amount</td>
          <td>FirstName</td>
          <td>LastName</td>
          <td>Card Number</td>
          <td>Validity Date</td>
          <td>CCV</td>
          <td>Provider</td>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td><%=payment.id%></td>
          <td><%=payment.amount%></td>
          <td><%=payment["first-name"]%></td>
          <td><%=payment["last-name"]%></td>
          <td><%=payment["card-number"]%></td>
          <td><%=payment["validity-date"]%></td>
          <td><%=payment.ccv%></td>
          <td><%=payment.provider%></td>
        </tr>
      </tbody>
    </table>
  </body>
</html>
